#include <SoftwareSerial.h>

// Define pins
int flexs = A0;
int data = 0;
// Define Bluetooth module pins
int bluetoothTx = 6;  // TX pin of Bluetooth module connected to Arduino's digital pin 2
int bluetoothRx = 7;  // RX pin of Bluetooth module connected to Arduino's digital pin 3

// Create a SoftwareSerial object to communicate with Bluetooth module
SoftwareSerial bluetooth(bluetoothTx, bluetoothRx);

void setup() {
  Serial.begin(9600);
  bluetooth.begin(9600); // Start communication with Bluetooth module
  pinMode(flexs, INPUT);
}

void loop() {
  data = analogRead(flexs);
  
  if (data > 720) {
    Serial.println("hello"); // Print "hello" to serial monitor
    bluetooth.println("Hello"); // Send "Hello" with delimiter '|' to Bluetooth module
  }
  else {
    Serial.println("bye");
    bluetooth.println("bye"); // Send "bye" with delimiter '|' to Bluetooth module
  }
  
  // Wait for the complete message to be sent
  delay(1000);
}
